org.apache.poi.xwpf.usermodel

## Interface Document

- All Known Implementing Classes:
    XWPFDocument

      public interface Document

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PICTURE_TYPE_BMP` Windows Bitmap (.bmp)
    `static int` | `PICTURE_TYPE_DIB` Device independent bitmap
    `static int` | `PICTURE_TYPE_EMF` Extended windows meta file
    `static int` | `PICTURE_TYPE_EPS` Encapsulated Postscript (.eps)
    `static int` | `PICTURE_TYPE_GIF` GIF image format
    `static int` | `PICTURE_TYPE_JPEG` JPEG format
    `static int` | `PICTURE_TYPE_PICT` Mac PICT format
    `static int` | `PICTURE_TYPE_PNG` PNG format
    `static int` | `PICTURE_TYPE_TIFF` Tag Image File (.tiff)
    `static int` | `PICTURE_TYPE_WMF` Windows Meta File
    `static int` | `PICTURE_TYPE_WPG` WordPerfect graphics (.wpg)

- - ### Field Detail

    - #### PICTURE_TYPE_EMF

          static final int PICTURE_TYPE_EMF

      Extended windows meta file
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_WMF

          static final int PICTURE_TYPE_WMF

      Windows Meta File
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_PICT

          static final int PICTURE_TYPE_PICT

      Mac PICT format
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_JPEG

          static final int PICTURE_TYPE_JPEG

      JPEG format
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_PNG

          static final int PICTURE_TYPE_PNG

      PNG format
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_DIB

          static final int PICTURE_TYPE_DIB

      Device independent bitmap
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_GIF

          static final int PICTURE_TYPE_GIF

      GIF image format
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_TIFF

          static final int PICTURE_TYPE_TIFF

      Tag Image File (.tiff)
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_EPS

          static final int PICTURE_TYPE_EPS

      Encapsulated Postscript (.eps)
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_BMP

          static final int PICTURE_TYPE_BMP

      Windows Bitmap (.bmp)
      See Also:
        Constant Field Values

    - #### PICTURE_TYPE_WPG

          static final int PICTURE_TYPE_WPG

      WordPerfect graphics (.wpg)
      See Also:
        Constant Field Values

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.